File: changelog

package info (click to toggle)
pytsk 20200117-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 2,188 kB
  • sloc: ansic: 3,090; python: 3,003; sh: 115; makefile: 68
file content (222 lines) | stat: -rw-r--r-- 6,282 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
pytsk (20200117-2) unstable; urgency=medium

  * Team upload
  * Bump DH to 13
  * Add new Build-Dependeds libvhdi-dev and libvmdk-dev (closes: #969315)
  * d/t/autopkgtest-pkg-python.conf: Create file to describe correct import_name

 -- Samuel Henrique <samueloph@debian.org>  Sat, 05 Sep 2020 14:01:33 +0100

pytsk (20200117-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Remove Section on python3-tsk that duplicates source.

  [ Hilko Bengen ]
  * New upstream version 20200117
  * Rebase patch

 -- Hilko Bengen <bengen@debian.org>  Thu, 27 Aug 2020 23:27:38 +0200

pytsk (20190507-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove the Python 2 bindings. (Closes: #938291)

  [ Samuel Henrique ]
  * Add salsa-ci.yml

 -- Adrian Bunk <bunk@debian.org>  Sun, 19 Jan 2020 00:22:33 +0200

pytsk (20190507-1) unstable; urgency=medium

  * New upstream version 20190507

 -- Hilko Bengen <bengen@debian.org>  Wed, 08 May 2019 10:06:10 +0200

pytsk (20190316-1) unstable; urgency=medium

  * New upstream version 20190316
  * Rebase patch

 -- Hilko Bengen <bengen@debian.org>  Sun, 21 Apr 2019 19:10:21 +0200

pytsk (20190121-2) unstable; urgency=medium

  * Add patch to make the build compatible with -Wl,--as-needed, thanks to
    Steve Langasek (Closes: #889525)

 -- Hilko Bengen <bengen@debian.org>  Mon, 28 Jan 2019 19:15:48 +0100

pytsk (20190121-1) unstable; urgency=medium

  * New upstream version 20190121
  * Update patch

 -- Hilko Bengen <bengen@debian.org>  Tue, 22 Jan 2019 15:22:27 +0100

pytsk (20180225-2) unstable; urgency=medium

  * Use Source:Package in built-using generation to fix FTBFS if sluethkit
    has been binnNMU'd; thanks to Peter Green (Closes: #916895)
  * Drop unneeded dh --parallel parameter
  * Bump Debhelper compat level
  * Replace dh_install --fail-missing
  * Bump Standards-Version
  * No longer try to install now missing examples

 -- Hilko Bengen <bengen@debian.org>  Mon, 24 Dec 2018 17:33:25 +0100

pytsk (20180225-1) unstable; urgency=medium

  * Team upload
  [ Raphaƫl Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Hilko Bengen ]
  * New upstream version 20180225
  * Rebase build patch
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Sat, 31 Mar 2018 19:56:47 +0200

pytsk (20171108-1) unstable; urgency=medium

  * New upstream version 20171108
  * Rebase patch

 -- Hilko Bengen <bengen@debian.org>  Thu, 09 Nov 2017 22:32:01 +0100

pytsk (20170802-3) unstable; urgency=medium

  * Add missing build-dependencies for linking

 -- Hilko Bengen <bengen@debian.org>  Sat, 16 Sep 2017 18:29:43 +0200

pytsk (20170802-2) unstable; urgency=medium

  * Link libtsk statically, add Built-Using entry (Closes: #873374)
  * Modernize package: DH compat level, Standards-Version, Vcs-Git URL

 -- Hilko Bengen <bengen@debian.org>  Sat, 16 Sep 2017 16:30:52 +0200

pytsk (20170802-1) unstable; urgency=medium

  * New upstream version 20170802
  * Rework setup.py patch

 -- Hilko Bengen <bengen@debian.org>  Tue, 01 Aug 2017 12:59:08 +0200

pytsk (20170508-1) unstable; urgency=medium

  * New upstream version 20170508

 -- Hilko Bengen <bengen@debian.org>  Tue, 09 May 2017 09:28:28 +0200

pytsk (20170128-1) unstable; urgency=medium

  * New upstream version 20170128
  * Update patch
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Sun, 29 Jan 2017 10:44:56 +0100

pytsk (20161109-1) unstable; urgency=medium

  * New upstream version 20161109
  * Rebase patch

 -- Hilko Bengen <bengen@debian.org>  Thu, 10 Nov 2016 10:43:23 +0100

pytsk (20160721-1) unstable; urgency=medium

  * New upstream version
  * Update patch

 -- Hilko Bengen <bengen@debian.org>  Fri, 22 Jul 2016 08:29:51 +0200

pytsk (20160325-1) unstable; urgency=medium

  * New upstream version
  * Update patch

 -- Hilko Bengen <bengen@debian.org>  Mon, 28 Mar 2016 17:30:27 +0200

pytsk (20160318-1) unstable; urgency=medium

  * New upstream version
  * Do not embed talloc, (patched) sleuthkit into pytsk
  * The package can now actually be built from source again
  * No longer depend on autoconf

 -- Hilko Bengen <bengen@debian.org>  Sat, 19 Mar 2016 22:44:32 +0100

pytsk (20160312-2) unstable; urgency=medium

  * Add setuptools build-dependency

 -- Hilko Bengen <bengen@debian.org>  Thu, 17 Mar 2016 22:50:44 +0100

pytsk (20160312-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Thu, 17 Mar 2016 22:28:50 +0100

pytsk (20160111-2) unstable; urgency=medium

  * Update debian/watch
  * Add pytsk build-dependency (Closes: #811000)
  * Don't install anything from /usr/share/doc/pytsk

 -- Hilko Bengen <bengen@debian.org>  Thu, 14 Jan 2016 19:59:05 +0100

pytsk (20160111-1) unstable; urgency=medium

  * New upstream version
  * Drop GCC5 patch that has been integrated upstream

 -- Hilko Bengen <bengen@debian.org>  Wed, 13 Jan 2016 22:44:14 +0100

pytsk (20150406-5) unstable; urgency=medium

  * Update build depends, depends to include python3 dependency for
    python3-tsk. Thanks to Scott Kitterman (Closes: #809475)

 -- Hilko Bengen <bengen@debian.org>  Tue, 05 Jan 2016 18:16:15 +0100

pytsk (20150406-4) unstable; urgency=medium

  * Add python3-tsk package

 -- Hilko Bengen <bengen@debian.org>  Thu, 29 Oct 2015 00:01:55 +0100

pytsk (20150406-3) unstable; urgency=medium

  * Add upstream patch to deal with GCC 5

 -- Hilko Bengen <bengen@debian.org>  Fri, 18 Sep 2015 17:52:47 +0200

pytsk (20150406-2) unstable; urgency=medium

  * Gave package to Debian Forensics team
  * Added dh-python to Build-Depends

 -- Hilko Bengen <bengen@debian.org>  Tue, 04 Aug 2015 18:57:54 +0200

pytsk (20150406-1) unstable; urgency=low

  * Initial release (Closes: #792888)

 -- Hilko Bengen <bengen@debian.org>  Sun, 19 Jul 2015 20:10:19 +0200